*{
    margin : 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: "Poppins";
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow-x: hidden;
    background-color: #01A9B4;
}

/* height : 500px */
.container{
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    height: 250px;
    width : 400px;
    background-image: url("./images/mesmerizing-shot-seascape-beautiful-sunset.jpg");
    background-position: center;
    background-size: 100%;
    background-attachment: fixed;
    border-radius: 2vh;
    text-align: center;
    transition-property: all;
    transition-duration: 0.4s;
    transition-timing-function: linear;
    z-index: 45;
}


.container-expand{
    height : 500px;
    background-size: cover;
    background-attachment: fixed;
    background-position: right;
}

.container::after{
    content: '';
    position: absolute;
    inset: 0px;
    background : linear-gradient(45deg,#53CDE2, #A1EAFB);
    border-radius: 2vh;
    opacity: 0.4;
}


.search{
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 40px;
    width: 80%;
    left: 40px;
    top: 46%;
    border-radius: 8vh;
    background-color: #fff;
    text-transform: capitalize;
    padding-right: 10px;
    z-index: 25;
    transition: 0.3s;
    transition-timing-function: linear;
    scale: 1;
    opacity: 1;
}

.search input[type=text]{
    padding-left: 10px;
    font-size: 20px;
    font-weight: 500;
    letter-spacing: 2px;
    text-transform: capitalize;
    border: none;
    outline: none;
}

.details{
    position: absolute;
    width: 100%;
    height: fit-content;
    text-align: left;
    padding: 20px;
    z-index: 25;
    scale: 0;
    opacity: 0;
    transition-delay: 0.2s;  
}

.details h1,h2{
    color: #fff;
    margin: 5px;
    font-weight: 900;
    font-size: 27px;
}

.temperature-description{
    position: absolute;
   display: flex;
   justify-content: space-around;
   flex-direction: column;
   align-items: center;
   width: 100%;
   z-index: 25;
   bottom: 0px;
   right: 0px;
   transition-delay: 0.2s;
   scale: 0;
   opacity: 0;
}

.temperature>h1{
    font-size: 90px;
    color: #fff;
}

.description{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
    width: 100%;
}

.description span{
    width: 30px;
    font-size: 20px;
    color: #fff;
    padding: 10px;
    font-weight: 900;
}

.humidity{
    padding-left: 20px;
    padding-bottom: 10px;
}

.humidity>p{
    font-size: 20px;
    color: #fff;
    text-transform: capitalize;
    letter-spacing: 3px;
}

.wind{
    padding-right: 20px;
    padding-bottom: 10px;
}

.wind>p{
    font-size: 20px;
    color: #fff;
    text-transform: capitalize;
    letter-spacing: 3px;

}

.search>input{
    height: 35px;
    width: 100%;
    border-radius: 8vh;
    border: none;
}

/* width : 400px */

.weather-details{
    position: relative;
    height: 450px;
    width: 0px; 
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: #333;
    overflow: hidden ;
    border-top-right-radius: 1vh;
    border-bottom-right-radius: 1vh;
    z-index: 99999;
    transition: width 0.4s linear;
    transition-delay: 1s;
}

.content{
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    overflow: hidden ;
    z-index: 99999;
    scale: 0;
    opacity: 0;
}

.weather-details-section{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
    width: 100%;
    gap: 10px;
    padding-top: 10px;
}

.precipitate,.air-quality,
.road-status{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
    padding-left: 20px;
    padding-right: 20px;
}

.weather-details h3{
    font-size: 20px;
    font-weight: 900;
    color: #fff;
}

.weather-details span{
    font-size: 18px;
    font-weight: 600;
    color: #fff;
}

.content .daily-weather{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 380px;
    height: 210px;
    border-radius: 2vh;
    background-color: #333;
    transition: width 0.4s;
    box-shadow: 4px 4px 8px 0 rgba(0, 0, 0, 0.2), -4px -4px 8px 0 rgba(0, 0, 0, 0.2);
}

.content .daily-weather .box{
    height: 160px;
    min-width: 100px;
    border-radius: 2vh;
    background-color: #fff;
    margin: 0 10px;
    float: left;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
}

.box h2{
   color: #333;
   z-index: 3; 
   font-size: 21px;
}

.box h3{
    color: #333;
    z-index: 3; 
    font-size: 21px;
 }

.btn{
    height: auto;
    width: 100%;
    text-align: center;
    margin-bottom: 30px;
    z-index: 99999;
}

.btn>button{
    height: 40px;
    width: 90%;
    border-radius: 8vh;
    border: none;
    font-size: 25px;
    background : linear-gradient(45deg,#53CDE2, #A1EAFB);
    color: #fff;
    z-index: 99999;
    cursor: pointer;
}

.scale{
    scale: 0;
    opacity: 0;
}

.non-scale{
    scale: 1;
    opacity: 1;
}

#preloader{
    height: 100vh;
    width: 100%;
    z-index: 9999;
    background-color: #01A9B4;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
}

.circle{
    height: 50px;
    width: 50px;
    border-radius: 50%;
    background-color: #D1F4FA;
    position: relative;
    z-index: 2;
    opacity: 0.6;
    animation: size 4s linear infinite;
}

@keyframes size {
    0%{
        scale: 0.5;
    }
    25%{
        scale: 1;
    }
    50%{
        scale: 1.2;
    }
    75%{
        scale: 1;
    }
    100%{
        scale: 0.5;
    }
}